## org.eclipse.datatools.sqltools.result.ui
Class ResultViewUIUtil

    java.lang.Object
      org.eclipse.datatools.sqltools.result.ui.ResultViewUIUtil

    public class ResultViewUIUtil

extends java.lang.Object

Constructor Summary
`ResultViewUIUtil()`

Method Summary
`static ResultsView` `checkResultView()` Checks if the SQL Results View is active, if not, create it and bring it to the top.
`static org.eclipse.swt.graphics.Image` `getOperationCommandStatusImage(int statusId)` Returns the image of given OperationCommand status

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResultViewUIUtil

    public ResultViewUIUtil()

Method Detail

### getOperationCommandStatusImage

    public static org.eclipse.swt.graphics.Image getOperationCommandStatusImage(int statusId)

  Returns the image of given OperationCommand status

  Parameters:
    `statusId` - the status id
  Returns:
    the image of this status

### checkResultView

    public static ResultsView checkResultView()

  Checks if the SQL Results View is active, if not, create it and bring it to the top.

  Returns:
    `true` if operation succeeds; `false` otherwise